Add User to Project

Adds an existing user to a project with a specific role.

Adding an existing user to a project requires the projectId, userId, and the roleTemplateId. It's likely that this call is preceded by a call to retrieve all users and all roles templates.

Before adding an existing user to a project, we likely need to retrieve a list of all users to populate a drop down menu.

GET /v3/users/

Alternatively, we could search based on a users name, such as:

// Search by username
GET v3/users/?userName=myname

// Search by last name
GET v3/users/?lastName=mylastname

// Search by first name
GET v3/users/?firstName=firstname

// Search by email
GET v3/users/?email=email

The returning data set includes an array of user objects including a users defaultRoleTemplateId.

It is also possible to assign a user a different role than the default role by first retrieving a list of all roleTemplates:

// Retrieve a list of all templates 
GET /v3/roletemplates

Permissions

A user must be a PROJECT OWNER to add or invite users to a project. Users with an account-level role of ADMINISTRATOR can add or invite users to any project.

Path Params
string
required

The id of the project

string
required

The id of the user

string
required

The id of the roleTemplate to be used

Responses

Language
Credentials
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json